BuddyDev

BuddyPress Sitewide activity widget update for BuddyPress 1.9 & BuddyPress 2.0

As you have seen that recently, I am on an update spree, today, It is the turn of your beloved BuddyPress Sitewide Activity Widget.

I could not update it for BuddyPress 1.8/1.9 earlier. So, today’s update is aimed at BuddyPress 1.9 and BuddyPress 2.0.

This update fixes following issues:-

  • Fix the filters not working on ajax reload
  • Fix the pagination issues on ajax reload
  • Remove deprecated jQuery live method and use the on method instead
  • And some more code reorganization for future

Version 1.2 is compatible and tested with BuddyPress 1.9.2 as well as BuddyPress 2.0 beta 1.

Download:-

http://wordpress.org/plugins/buddypress-sitewide-activity-widget
or

https://buddydev.com/plugins/buddypress-sitewide-activity-widget/

I do plan to bring back the activity commenting in the sitewide widget again in next update.

And just for your info, The next 2 updates lined up for this week are for Global Unified search and BuddyPress Multi Network plugin 🙂

9 Responses to BuddyPress Sitewide activity widget update for BuddyPress 1.9 & BuddyPress 2.0

  • When using in conjunction with BuddyPress Activity Privacy plugin, it causes duplicate drop-down boxes for selecting privacy options.

    Plugin: https://wordpress.org/plugins/buddypress-activity-privacy/

    I’m using BP 2.0.1 and WP 3.8.3.

    Image of the issue: https://farm4.staticflickr.com/3885/14493824107_3e7b9c87c6_s.jpg

  • Please debug your plugins before you release them. They are full of php errors.

    Thanks

    • Can you please explain? Which version of plugin? Which version of BuddyPress & What errors you see?

      • They are php errors. it dosn’t depent in wordpress or buddypress or version of the plugin but the php coding. Which version of php are you using? I allready debug and fix some off your plugins.

        • That really sounds strange. If you can point to a few errors, may be on github or anywhere, I will certainly appreciate. I might have commited some mistakes but I am still not sure if I have really left any php erro in the plugins.

  • Version 1.3.4’s readme and main plugin file say they are version 1.3.3 still, so WordPress keeps saying it needs updating.

    • Hi Chris,
      I am sorry. I will check and push an update today.

      Regards
      Brajesh

    • Have linked to the correct version. We had slightly different version on BuddyDev(1.3.4) leading to the issue.

Subscribe